Bug 734435 - Fix cups.path to use PathExistsGlob=
Summary: Fix cups.path to use PathExistsGlob=
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 11:58 UTC by Lennart Poettering
Modified: 2011-10-19 04:42 UTC (History)
2 users (show)

Fixed In Version: cups-1.5.0-16.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-19 04:42:09 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2011-08-30 11:58:02 UTC
The original CUPS systemd patch used DirectoryNotEmpty=/var/spool/cups to spawn CUPS when there were queued jobs. This should be fixed to use PathExistsGlob=/var/spool/cups/p* instead which has now been supported in systemd for some time. (IIRC the prefix for actual jobs was p, right? If not, use the right prefix...)

Comment 1 Tim Waugh 2011-08-30 12:08:12 UTC
Thanks. (The prefix is d actually.)

Comment 2 Fedora Update System 2011-10-05 17:53:50 UTC
cups-1.5.0-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-13168

Comment 3 Fedora Update System 2011-10-06 21:21:11 UTC
Package cups-1.5.0-14.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.0-14.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13168
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-10-08 23:33:59 UTC
Package cups-1.5.0-15.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.0-15.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13168
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-12 16:48:34 UTC
Package cups-1.5.0-16.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.0-16.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13168
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-10-19 04:42:09 UTC
cups-1.5.0-16.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.